PHP Manual
Prev |  | Next

# is_int

(PHP 3, PHP 4, PHP 5)

is_int -- Find whether a variable is an integer

## Description

bool is_int ( mixed var )

Finds whether the given variable is an integer.

> Note: To test if a variable is a number or a numeric string (such as form input, which is always a string), you must use is_numeric().

## Parameters

var

  The variable being evaluated.

## Return Values

Returns `TRUE` if var is an integer, `FALSE` otherwise.

## See Also

is_bool()
is_float()
is_numeric()
is_string()
is_array()
is_object()

Prev | Home | Next
is_float | Up | is_integer